#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'attachpropertydialogbase.ui'
**
** Created: 2013-08-05T16:59:10
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "attachpropertydialogbase.h"

#include <qvariant.h>
#include <qlabel.h>
#include <qframe.h>
#include <qheader.h>
#include <klistview.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a AttachPropertyDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
AttachPropertyDialogBase::AttachPropertyDialogBase( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "AttachPropertyDialogBase" );
    AttachPropertyDialogBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "AttachPropertyDialogBaseLayout"); 

    display_ = new QLabel( this, "display_" );
    display_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)1, 0, 0, display_->sizePolicy().hasHeightForWidth() ) );

    AttachPropertyDialogBaseLayout->addMultiCellWidget( display_, 1, 1, 1, 2 );

    description_ = new QLabel( this, "description_" );
    description_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)1, 0, 0, description_->sizePolicy().hasHeightForWidth() ) );

    AttachPropertyDialogBaseLayout->addMultiCellWidget( description_, 2, 2, 1, 2 );

    mime_ = new QLabel( this, "mime_" );
    mime_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)1, 0, 0, mime_->sizePolicy().hasHeightForWidth() ) );

    AttachPropertyDialogBaseLayout->addMultiCellWidget( mime_, 3, 3, 1, 2 );

    size_ = new QLabel( this, "size_" );
    size_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)1, 0, 0, size_->sizePolicy().hasHeightForWidth() ) );

    AttachPropertyDialogBaseLayout->addMultiCellWidget( size_, 4, 4, 1, 2 );

    index_ = new QLabel( this, "index_" );
    index_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)1, 0, 0, index_->sizePolicy().hasHeightForWidth() ) );

    AttachPropertyDialogBaseLayout->addMultiCellWidget( index_, 5, 5, 1, 2 );

    Line2 = new QFrame( this, "Line2" );
    Line2->setFrameShape( QFrame::HLine );
    Line2->setFrameShadow( QFrame::Sunken );
    Line2->setFrameShape( QFrame::HLine );

    AttachPropertyDialogBaseLayout->addMultiCellWidget( Line2, 6, 6, 0, 2 );

    displayLabel_ = new QLabel( this, "displayLabel_" );
    displayLabel_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 0, 0, displayLabel_->sizePolicy().hasHeightForWidth() ) );

    AttachPropertyDialogBaseLayout->addWidget( displayLabel_, 1, 0 );

    descriptionLabel_ = new QLabel( this, "descriptionLabel_" );

    AttachPropertyDialogBaseLayout->addWidget( descriptionLabel_, 2, 0 );

    mimeLabel_ = new QLabel( this, "mimeLabel_" );

    AttachPropertyDialogBaseLayout->addWidget( mimeLabel_, 3, 0 );

    sizeLabel_ = new QLabel( this, "sizeLabel_" );

    AttachPropertyDialogBaseLayout->addWidget( sizeLabel_, 4, 0 );

    indexLabel_ = new QLabel( this, "indexLabel_" );

    AttachPropertyDialogBaseLayout->addWidget( indexLabel_, 5, 0 );

    filename_ = new QLabel( this, "filename_" );
    filename_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)1, 0, 0, filename_->sizePolicy().hasHeightForWidth() ) );
    filename_->setTextFormat( QLabel::RichText );

    AttachPropertyDialogBaseLayout->addMultiCellWidget( filename_, 0, 0, 0, 1 );

    icon_ = new QLabel( this, "icon_" );
    icon_->setMinimumSize( QSize( 16, 16 ) );

    AttachPropertyDialogBaseLayout->addWidget( icon_, 0, 2 );

    properties_ = new KListView( this, "properties_" );
    properties_->addColumn( tr2i18n( "Name" ) );
    properties_->addColumn( tr2i18n( "Value" ) );
    properties_->setAllColumnsShowFocus( TRUE );
    properties_->setResizeMode( KListView::AllColumns );

    AttachPropertyDialogBaseLayout->addMultiCellWidget( properties_, 7, 7, 0, 2 );

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 
    Spacer1 = new QSpacerItem( 150, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout2->addItem( Spacer1 );

    save_ = new QPushButton( this, "save_" );
    layout2->addWidget( save_ );

    close_ = new QPushButton( this, "close_" );
    close_->setDefault( TRUE );
    layout2->addWidget( close_ );

    AttachPropertyDialogBaseLayout->addMultiCellLayout( layout2, 8, 8, 0, 2 );
    languageChange();
    resize( QSize(376, 426).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( close_, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( save_, SIGNAL( clicked() ), this, SLOT( saveClicked() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AttachPropertyDialogBase::~AttachPropertyDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AttachPropertyDialogBase::languageChange()
{
    displayLabel_->setText( tr2i18n( "Comment:" ) );
    descriptionLabel_->setText( tr2i18n( "Description:" ) );
    mimeLabel_->setText( tr2i18n( "Mime type:" ) );
    sizeLabel_->setText( tr2i18n( "File size:" ) );
    indexLabel_->setText( tr2i18n( "Index:" ) );
    properties_->header()->setLabel( 0, tr2i18n( "Name" ) );
    properties_->header()->setLabel( 1, tr2i18n( "Value" ) );
    save_->setText( tr2i18n( "&Save" ) );
    close_->setText( tr2i18n( "&Close" ) );
}

void AttachPropertyDialogBase::saveClicked()
{
    qWarning( "AttachPropertyDialogBase::saveClicked(): Not implemented yet" );
}

/****************************************************************************
** AttachPropertyDialogBase meta object code from reading C++ file 'attachpropertydialogbase.h'
**
** Created: Mon Aug 5 16:59:10 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "attachpropertydialogbase.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *AttachPropertyDialogBase::className() const
{
    return "AttachPropertyDialogBase";
}

QMetaObject *AttachPropertyDialogBase::metaObj = 0;
static QMetaObjectCleanUp cleanUp_AttachPropertyDialogBase( "AttachPropertyDialogBase", &AttachPropertyDialogBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString AttachPropertyDialogBase::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "AttachPropertyDialogBase", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString AttachPropertyDialogBase::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "AttachPropertyDialogBase", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* AttachPropertyDialogBase::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QDialog::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QUMethod slot_1 = {"saveClicked", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected },
	{ "saveClicked()", &slot_1, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"AttachPropertyDialogBase", parentObject,
	slot_tbl, 2,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_AttachPropertyDialogBase.setMetaObject( metaObj );
    return metaObj;
}

void* AttachPropertyDialogBase::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "AttachPropertyDialogBase" ) )
	return this;
    return QDialog::qt_cast( clname );
}

bool AttachPropertyDialogBase::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    case 1: saveClicked(); break;
    default:
	return QDialog::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool AttachPropertyDialogBase::qt_emit( int _id, QUObject* _o )
{
    return QDialog::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool AttachPropertyDialogBase::qt_property( int id, int f, QVariant* v)
{
    return QDialog::qt_property( id, f, v);
}

bool AttachPropertyDialogBase::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
